package polecelychcisel;

import java.util.InputMismatchException;
import java.util.Scanner;

/**
 *
 * @author lsroubov
 */
public class PoleCelychCisel {

    public static int nactiCeleCislo(Scanner kl, String hlaska) {
        int cislo;
        while (true) {
            try {
                System.out.println(hlaska);
                cislo = kl.nextInt();
                break;
            } catch (InputMismatchException e) {
                System.out.println("Nutne cele cislo.");
                kl.nextLine(); // vyprazdneni bufferu klavesnice
            }
        }
        return (cislo);
    }
    
    public static int[] razeniPrvkuPole(int[] p){
        for(int i = 0; i < p.length; i++){
            for(int j = 0; j < p.length-1; j++){
                if(p[j] > p[j+1]){
                    int pom = p[j];
                    p[j] = p[j+1];
                    p[j+1] = pom;
                }
            }
        }
        return(p);
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Scanner kl = new Scanner(System.in);
        int n;
        do {
            n = nactiCeleCislo(kl, "Zadej velikost pole:");
        }while (n <= 0);
        
        int[] p = new int[n];   /* int[] p;
                                p = new int[n]; */
        for(int i=0; i < n; i++){
            p[i] = nactiCeleCislo(kl, "Zadej prvek pole:");
        }
        System.out.println("Prvky pole");
        for(int i=0; i < n; i++){
            System.out.printf("%d\t", p[i]);
        }
        System.out.println(); // pro odradkovani
        System.out.println("Serazene prvky pole");
        int[] q;
        q = razeniPrvkuPole(p);
        for(int i=0; i < n; i++){
            System.out.printf("%d\t", q[i]);
        }
    }

}
